Bug 1471973 - Ansible Service Broker: config needs to specify bootstrap_on_startup: true
Ansible Service Broker: config needs to specify bootstrap_on_startup: true
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: Fabian von Feilitzsch
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 16:04 EDT by John Matthews
Modified: 2017-11-28 03:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-10 15:57:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-28 21:34:54 EST

  None (edit)
Description John Matthews 2017-07-17 16:04:47 EDT
Description of problem:

openshift-ansible needs to enable the setting

broker:
 bootstrap_on_startup: true

Without this setting enabled the Ansible Service Broker starts and does not talk to the configured registry, it does not learn about APBs.



Version-Release number of selected component (if applicable):
Puddle 3.6.152


Actual results:
# oc get pods
NAME                    READY     STATUS    RESTARTS   AGE
asb-1719175530-pjjqr    1/1       Running   0          2h
etcd-1487946270-8dcw2   1/1       Running   0          2h
[root@192 ~]# oc exec asb-1719175530-pjjqr -it /bin/bash
                      config.yaml
bash-4.2$ cat /etc/ansible-service-broker/config.yaml 
registry:
  name: "rhcc"
  url:  "http://registry.access.stage.redhat.com"
  user: ""
  pass: ""
  org:  ""
dao:
  etcd_host: etcd
  etcd_port: 2379
log:
  logfile: /var/log/ansible-service-broker/asb.log
  stdout: true
  level: "debug"
  color: true
openshift: {}
broker:
  dev_broker: false
  launch_apb_on_bind: false
  recovery: true
  output_request: true
bash-4.2$ 


Expected results:
# oc get pods
NAME                    READY     STATUS    RESTARTS   AGE
asb-1719175530-pjjqr    1/1       Running   0          2h
etcd-1487946270-8dcw2   1/1       Running   0          2h
[root@192 ~]# oc exec asb-1719175530-pjjqr -it /bin/bash

bash-4.2$ cat /etc/ansible-service-broker/config.yaml 
registry:
  name: "rhcc"
  url:  "http://registry.access.stage.redhat.com"
  user: ""
  pass: ""
  org:  ""
dao:
  etcd_host: etcd
  etcd_port: 2379
log:
  logfile: /var/log/ansible-service-broker/asb.log
  stdout: true
  level: "debug"
  color: true
openshift: {}
broker:
  bootstrap_on_startup: true
  dev_broker: false
  launch_apb_on_bind: false
  recovery: true
  output_request: true
bash-4.2$ 


Additional info:
Comment 3 DeShuai Ma 2017-07-26 01:19:22 EDT
Verify on openshift-ansible-3.6.170-1.git.0.aef02f6.el7.noarch.rpm;
After install bootstrap_on_startup: true


[root@host-8-175-47 ~]# oc get configmap broker-config -o yaml
apiVersion: v1
data:
  broker-config: |
    registry:
      name: "rhcc"
      url:  "xxx.xxx.xxx.redhat.com"
      user: ""
      pass: ""
      org:  "openshift3"
    dao:
      etcd_host: etcd
      etcd_port: 2379
    log:
      logfile: /var/log/ansible-service-broker/asb.log
      stdout: true
      level: "info"
      color: true
    openshift: {}
    broker:
      dev_broker: false
      launch_apb_on_bind: false
      recovery: true
      output_request: false
      bootstrap_on_startup: true
kind: ConfigMap
metadata:
  creationTimestamp: 2017-07-26T03:03:54Z
  labels:
    app: ansible-service-broker
  name: broker-config
  namespace: openshift-ansible-service-broker
  resourceVersion: "1984"
  selfLink: /api/v1/namespaces/openshift-ansible-service-broker/configmaps/broker-config
  uid: 0f68d135-71af-11e7-a49c-fa163ea67ce5

Note You need to log in before you can comment on or make changes to this bug.